org.springframework.web.reactive.result.view

## Class ViewResolverSupport

- java.lang.Object
- - org.springframework.web.reactive.result.view.ViewResolverSupport

All Implemented Interfaces:
  org.springframework.core.Ordered

Direct Known Subclasses:
  UrlBasedViewResolver

    public abstract class ViewResolverSupport
    extends Object
    implements org.springframework.core.Ordered

Base class for `ViewResolver` implementations with shared properties.

Since:
  5.0
Author:
  Rossen Stoyanchev, Juergen Hoeller

### Field Summary

Fields
`static org.springframework.http.MediaType` `DEFAULT_CONTENT_TYPE` The default `content-type` for views.

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`ViewResolverSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Charset` `getDefaultCharset()` Return the default charset, used when the content type does not contain one.
`int` `getOrder()`
`List<org.springframework.http.MediaType>` `getSupportedMediaTypes()` Return the configured media types supported by this view.
`void` `setDefaultCharset(Charset defaultCharset)` Set the default charset for this view, used when the content type does not contain one.
`void` `setOrder(int order)` Specify the order value for this ViewResolver bean.
`void` `setSupportedMediaTypes(List<org.springframework.http.MediaType> supportedMediaTypes)` Set the supported media types for this view.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CONTENT_TYPE

    public static final org.springframework.http.MediaType DEFAULT_CONTENT_TYPE

The default `content-type` for views.

### Constructor Detail

#### ViewResolverSupport

    public ViewResolverSupport()

### Method Detail

#### setSupportedMediaTypes

    public void setSupportedMediaTypes(List<org.springframework.http.MediaType> supportedMediaTypes)

Set the supported media types for this view. Default is "text/html;charset=UTF-8".

#### getSupportedMediaTypes

    public List<org.springframework.http.MediaType> getSupportedMediaTypes()

Return the configured media types supported by this view.

#### setDefaultCharset

    public void setDefaultCharset(Charset defaultCharset)

Set the default charset for this view, used when the content type does not contain one. Default is UTF 8.

#### getDefaultCharset

    public Charset getDefaultCharset()

Return the default charset, used when the content type does not contain one.

#### setOrder

    public void setOrder(int order)

Specify the order value for this ViewResolver bean.

The default value is `Ordered.LOWEST_PRECEDENCE`, meaning non-ordered.

See Also:
  `Ordered.getOrder()`

#### getOrder

    public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`